const normalizeUrl = (url) =>
  url.replace(/index\.php$|index\.html$/i, '').replace(/\.php$|\.html$/i, '') || '/';

export default {
  isLinkActive: (category, page) => {
    const normalized = normalizeUrl(page);
    return (
      normalized.includes(category) && normalized.split('/').filter((a) => a !== '').length <= 1
    );
  },
  normalizeUrl
};
